package com.persagy.dmp.common;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author zhangqiankun
 * @description
 * @since 2020年8月26日:	下午5:17:08
 */
@Data
@NoArgsConstructor
public class VideoResult<T> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 成功
     */
    public final static String SUCCESS = "success";
    /**
     * 失败
     */
    public final static String FAILURE = "failure";

    private String result;

    private String reason;

    private T data;


}
