package com.persagy.dmp.config;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: shiliqiang
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/19 21:06
 * @version: V1.0
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AlarmJsonResult implements Serializable {

    //成功
    public final static String SUCCESS = "success";
    //失败
    public final static String FAILURE = "failure";
    private static final long serialVersionUID = 1592352920203053150L;
    private String result;

    private JSONObject data;

    private Integer count;

    private String message;

    private Integer modifiedCount;

    private Integer deletedCount;
}
