package com.persagy.dmp.constant;

/**
 * @description: redis 常量
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/23 15:16
 * @version: V1.0
 **/
public class RedisConstant {

    /**
     * 设备位置缓存
     */
    public final static String EQUIP_LOCATION_PREFIX = "EQUIP_LOCATION";

    /**
     * 设备所属模块、所属配电箱
     */
    public final static String EQUIP_MODULAR_BOX_PREFIX = "EQUIP_MODULAR_BOX_V2";

    /**
     * 空间位置缓存
     */
    public final static String SPACE_LOCATION_PREFIX = "SPACE_LOCATION";

    /**
     * 系统位置缓存
     */
    public final static String SYSTEM_LOCATION_PREFIX = "SYSTEM_LOCATION";

    /**
     * 数据字典缓存
     */
    public final static String DATA_DICT_PREFIX = "DATA_DICT";

    /*
     * 对象缓存
     */
    public final static String OBJECT_PREFIX = "OBJECT";

    /*
     * 建筑下设备
     */
    public final static String EQUIP_IN_BUILD_PREFIX = "EQUIP_IN_BUILD";

    /*
     * 空间下设备
     */
    public final static String EQUIP_IN_SPACE_PREFIX = "EQUIP_IN_SPACE";

    /*
     * 楼层下设备
     */
    public final static String EQUIP_IN_FLOOR_PREFIX = "EQUIP_IN_FLOOR";

    /*
     *对象类型
     */
    public final static String CLASS_CODE_REL_PREFIX = "CLASS_CODE_REL";

    /*
     *关系
     */
    public final static String RELATION_PREFIX = "RELATION";

    /*
     *关系
     */
    public final static String RELATION_FROM_PREFIX = "RELATION_FROM";

    /*
     *关系
     */
    public final static String RELATION_TO_PREFIX = "RELATION_TO";

    /**
     * 表号-功能号
     */
    public final static String METER_FUNCID_PREFIX = "METER_FUNCID";

    /**
     * 交接班当前班次
     */
    public final static String CURRENT_SHIFT = "CURRENT_SHIFT";
    /**
     * 未读消息
     */
    public final static String UNREAD_MATTER = "UNREAD_MATTER";

    /**
     * 建筑下楼层
     */
    public static final String BUILD_FLOOR_CACHE = "BUILD_FLOOR";

    /**
     * 项目下建筑
     */
    public static final String PROJECT_BUILD_CACHE = "PROJECT_BUILD";
}
