package com.persagy.dmp.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author feng
 * @version 1.0
 * @description 信息点类
 * @since 2020/5/26 11:20
 */
@Data
public class InfoPointDTO implements Serializable {

    private String infoCode;
    private String infoName;
    private Object data;
    private String meterId;
    private String funcId;
    private String unit;
    private List<Map<String, ?>> dataSource;

}
