package com.persagy.dmp.dto;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description:
 * @Author:Sarah
 * @Data:
 * @Version:
 */
@Data
@NoArgsConstructor
public class LocationDTO implements Serializable {

    //对象id
    private String id;

    //名称
    private String name;

    //本地编码
    private String localId;

    //本地名称
    private String localName;

    //对象类
    private String classCode;

    //对象类型
    private String objType;

    //WD 慧云平台 没有localId和localName
    @JSONField(name="wD_huiyunbendimingcheng")
    private String wdhuiyunbendimingcheng;

    //WD 慧云平台 没有localId和localName
    //WD本地编码
    @JSONField(name="wD_huiyunbendibianma")
    private String wdHuiyunbendibianma;

    //ibms显示编码
    private String ibmsxianshibianma;

    //ibms显示名称
    private String ibmsxianshimingcheng;

    //集团编码
    private String groupCode;


    public String getIbmsxianshimingcheng() {
        String localName = null;
        if ("WD".equals(groupCode) && StrUtil.isNotBlank(wdhuiyunbendimingcheng)) {
            localName = wdhuiyunbendimingcheng;
        } else if (StrUtil.isNotBlank(ibmsxianshimingcheng)) {
            localName = ibmsxianshimingcheng;
        } else {
            localName = this.localName;
        }
        return localName;
    }

    public String getIbmsxianshibianma() {
        String localId = null;
        if ("WD".equals(groupCode) && StrUtil.isNotBlank(wdHuiyunbendibianma)) {
            localId = wdHuiyunbendibianma;
        } else if (StrUtil.isNotBlank(ibmsxianshibianma)) {
            localId = ibmsxianshibianma;
        } else {
            localId = this.localId;
        }
        return localId;
    }

}
