package com.persagy.dmp.dto.logicalGrouping;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 逻辑对象列表展示对象的分组关系
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/12 14:13
 */
@Data
public class LogicalObjectTabularRelationDTO {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;

    /**
     * 分组id
     */
    @ApiModelProperty(value = "分组id")
    private String logicalGroupingId;

    /**
     * 分组名称
     */
    @ApiModelProperty(value = "分组名称")
    private String logicalGroupingName;

    /**
     * 父分组ID
     */
    @ApiModelProperty(value = "父分组ID")
    private String parentLogicalGroupingId;

}
