package com.persagy.dmp.dto.objectclass;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

@Data
public class ModuleFuncObjClassDTO {
    @ApiModelProperty(value = "集团编码", position = 0, required = true)
    @NotBlank(message = "groupCode 不允许为空")
    private String groupCode;

    @ApiModelProperty(value = "项目id", position = 1, required = true)
    @NotBlank(message = "projectId 不允许为空")
    private String projectId;

    @ApiModelProperty(value = "模块编码", position = 2, required = true)
    @NotBlank(message = "moduleCode 不允许为空")
    private String moduleCode;

    private String functionCode;
    private String code;
    private String parentCode;
    private String classCategory;
    private String appId;
}