package com.persagy.dmp.dto.org;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 项目信息DTO
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/16 10:21
 * @version: V1.0
 **/
@Data
public class ProjectInfoDTO implements Serializable {

    private String id;

    private String name;

    private String groupCode;

    private Integer status;

    private String createUser;

    private Integer createTime;

    private String updateUser;

    private Integer updateTime;

    private String remark;
}
