package com.persagy.dmp.dto.relation;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 删除关系实体
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/22 10:40
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BatchDeleteRelation implements Serializable {

    private static final long serialVersionUID = -8239539811333530685L;

    /**
     * 删除条件
     */
    private BatchRelationCriteria criteria;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
