package com.persagy.dmp.entity;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * projectId 不一定存在
 * 
 * @author zhangqiankun
 *
 */
@Getter
@Setter
@ToString
public class JWTUserDto implements Serializable {
	private static final long serialVersionUID = 1L;

	private String groupCode;
	
	private String projectId;
	
    private String userId;

    /**
     * 登录用户名
     */
    private String username;
    
    /**
     * 通用标识，  姓名
     */
    private String name;

    private String roleName;

    private String ip;
    
    public JWTUserDto() {
    	
    }

	public JWTUserDto(String userId, String name, String roleName, String ip) {
		this.userId = userId;
		this.name = name;
		this.roleName = roleName;
		this.ip = ip;
	}
	
	public JWTUserDto(String userId, String username, String name, String roleName, String ip) {
		this.userId = userId;
		this.username = username;
		this.name = name;
		this.roleName = roleName;
		this.ip = ip;
	}
    
}
