package com.persagy.dmp.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.NoArgsConstructor;

/**
 * @author xingmaojun
 * @version V1.0
 * @ClassName Sort
 * @Description:
 * @date 2020/6/4 17:33
 **/
@NoArgsConstructor
@ApiModel(value = "排序类")
public class Sort {

    @ApiModelProperty(value = "排序列", position = 0)
    private String column;

    @ApiModelProperty(value = "升序/降序", position = 1)
    private boolean asc;

    public Sort(String column, boolean asc) {
        this.column = column;
        this.asc = asc;
    }

    public String getColumn() {
        return column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public boolean getAsc() {
        return asc;
    }

    public void setAsc(boolean asc) {
        this.asc = asc;
    }
}
