package com.persagy.dmp.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * (ZktModule)实体类
 *
 * @author well jay
 * @since 2021-06-24 15:12:13
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "模块列表")
public class ZktModule implements Serializable {
    private static final long serialVersionUID = 386933280505588524L;

    public static final String VALID = "valid";
    /**
     * 主键
     */
    private String id;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 项目编码
     */
    private String projectId;
    /**
     * 菜单名称
     */
    private String moduleName;
    /**
     * ibms系统模块code
     */
    private String ibmsSceneCode;
    /**
     * 排序顺序
     */
    private Integer sequence;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 是否有效  1有效   0无效
     */
    private Integer valid;

}
