package com.persagy.dmp.enumeration;

/**
 * @description: 对象、分组枚举
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/5/8 15:53
 * @version: V1.0
 **/
public enum EnumGrouping {

    OBJECT(1, "对象"),
    GROUPING(2, "分组");

    private Integer value;
    private String desc;

    EnumGrouping(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
