package com.persagy.dmp.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 功能类型
 * @author 易涛
 * @version 1.0
 * @date 2021/8/9 18:21
 */
@NoArgsConstructor
@AllArgsConstructor
public enum EnumOperateType {

    ALARM_ITEM("alarm_item", "报警类型规则配置"),
    ALARM_CONFIG_UPDATE("alarm_config_update", "报警定义修改规则"),
    AlARM_CONFIG_ISOLATION("alarm_config_isolation", "报警定义批量隔离或取消"),
    AlARM_RECORD_HANDLE("alarm_record_handle", "报警定义批量隔离或取消");

    @Getter
    @Setter
    private String value;

    @Getter
    @Setter
    private String name;
}
