package com.persagy.dmp.enumeration;

/**
 * @description: 枚举
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/26 20:43
 * @version: V1.0
 **/
public enum EnumResult {

    success("success", "成功"),
    failure("failure", "失败");

    private final String value;
    private final String desc;

    EnumResult(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
