package com.persagy.dmp.enumeration;

/**
 * @description: 中台物理世界MQ消息类型
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/1/4 16:35
 * @version: V1.0
 **/
public enum EnumRwdMQType {

    instanceObjectCreate("instanceObjectCreate", "创建对象"),
    instanceObjectUpdate("instanceObjectUpdate", "更新对象"),
    instanceObjectDelete("instanceObjectDelete", "删除对象"),
    instanceRelationCreate("instanceRelationCreate", "创建关系"),
    instanceRelationDelete("instanceRelationDelete", "删除关系");

    private final String value;
    private final String desc;

    EnumRwdMQType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
