package com.persagy.dmp.enumeration;

/**
 * @description: 空间业务分区枚举
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/5 9:51
 * @version: V1.0
 **/
public enum EnumSpaceZone {

    GeneralZone("GeneralZone", "物业分区"),
    PowerSupplyZone("PowerSupplyZone", "供电分区"),
    LightingZone("LightingZone", "照明分区"),
    NetworkZone("NetworkZone", "网络分区"),
    AirConditioningZone("AirConditioningZone", "空调分区"),
    HeatingZone("HeatingZone", "采暖分区"),
    CleanZone("CleanZone", "洁净分区"),
    DomesticWaterSupplyZone("DomesticWaterSupplyZone", "生活给水分区"),
    FireZone("FireZone", "防火分区"),
    SecurityZone("SecurityZone", "安防分区"),
    TenantZone("TenantZone", "租户分区"),
    FunctionZone("FunctionZone", "功能分区"),
    PassengerFlowZone("PassengerFlowZone", "客流分区"),
    OtherZone("OtherZone", "其他分区");

    private String code;

    private String name;

    EnumSpaceZone(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
