package com.persagy.dmp.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.entity.LogicalGrouping;

@Mapper
public interface LogicalGroupingMapper extends BaseMapper<LogicalGrouping> {

	/**
	 * 根据楼层ID，反查出对应的一级编组信息
	 * 
	 * @return
	 * @date 2022年4月19日 下午12:06:48
	 */
	List<LogicalGrouping> queryLogicalGroupingByFloorId(@Param("groupCode") String groupCode, 
			@Param("projectId") String projectId, @Param("floorId") String floorId);
	
}