package com.persagy.dmp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectTabularDTO;
import com.persagy.dmp.entity.LogicalObject;
import com.persagy.dmp.request.ListLogicalObjectRequest;
import com.persagy.dmp.request.QueryLogicalObjectTabularRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LogicalObjectMapper extends BaseMapper<LogicalObject> {

    List<LogicalObjectTabularDTO> queryAllLogicalObjectTabular(@Param("request") QueryLogicalObjectTabularRequest request);

    IPage<LogicalObjectTabularDTO> queryAllLogicalObjectTabular(IPage<?> page, @Param("request") QueryLogicalObjectTabularRequest request);

    List<LogicalObjectDTO> listLogicalObjectDTOWithEquipCache(@Param("param") ListLogicalObjectRequest param, @Param("isBinds") boolean isBinds);

}