package com.persagy.dmp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectTabularDTO;
import com.persagy.dmp.entity.LogicalObject;
import com.persagy.dmp.request.QueryLogicalObjectTabularRequest;

import java.util.List;

public interface LogicalObjectService extends IService<LogicalObject>{


    boolean updateBatch(LogicalObjectDTO logicalObjectDTO) throws Exception;

    IPage<LogicalObjectDTO> listPageLogicalObjectDTO(LogicalObjectDTO record) throws Exception;

    List<LogicalObjectDTO> listLogicalObjectDTO(LogicalObjectDTO record) throws Exception;

     List<LogicalObjectDTO> listLogicalObjectDTOLocalId(LogicalObjectDTO record) throws Exception;

    boolean removeByLogicalGroupingIds(List<String> logicalGroupingIds);

    boolean removeByLogicalGroupingId(String logicalGroupingId);

    boolean removeByLogicalGroupingObjIds(List<String> objIds,String logicalGroupingId);
}
