package com.persagy.dmp.service;

import com.persagy.dmp.dto.MeterFuncIdDTO;
import com.persagy.dmp.entity.ObjectMeterFunction;

import java.util.List;

/**
 * @description: 对象表号-功能号接口
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/15 17:53
 * @version: V1.0
 **/
public interface ObjectMeterFunctionService {

    void saveObjectMeterFunction(String groupCode, String projectId, String objectId, List<ObjectMeterFunction> objectMeterFunctionList);

    ObjectMeterFunction queryMeterFunctionByObj(String groupCode, String projectId, String objectId, String infoCode) throws Exception;

    List<ObjectMeterFunction> getMeterFunctionList(String groupCode, String projectId, List<String> objIds, String infoCode) throws Exception;

    List<ObjectMeterFunction> getMeterFunctionList(String groupCode, String projectId, String objId, List<String> infoCodes) throws Exception;

    ObjectMeterFunction queryObjectByMeter(String groupCode, String projectId, String meterId, Long funcId);
}
