package com.persagy.dmp.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.dmp.dto.OperationLogDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 业务日志表（业务操作记录）服务接口
 *
 * @author luoguangyi
 * @description 由 Mybatisplus Code Generator 创建
 * @since 2020-12-03 15:18:07
 */
public interface OperationLogService {


    OperationLogDTO save(OperationLogDTO operationLog) throws Exception;

    IPage<OperationLogDTO> saveBatch(List<OperationLogDTO> operationLogDTOs) throws Exception;

    IPage<OperationLogDTO> listOperationLog(OperationLogDTO operationLogDTO) throws Exception;

    void exportOperationLog(OperationLogDTO operationLogDTO, HttpServletResponse respons) throws Exception;
}
