package com.persagy.dmp.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import com.persagy.dmp.dto.org.GroupInfoDTO;
import com.persagy.dmp.dto.org.ProjectInfoDTO;
import com.persagy.dmp.service.OrgServer;

import java.util.List;

/**
 * @description: 组织人员服务实现类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/16 10:33
 * @version: V1.0
 **/
public class OrgServerImpl implements OrgServer {

    @Autowired
    DiscoveryClient discoveryClient;

    /**
     * @param service 服务ID
     **/
    public List<ServiceInstance> serviceUrl(String service) {
        List<ServiceInstance> instances = discoveryClient.getInstances(service);
        for (ServiceInstance instance : instances) {
            instance.getServiceId();
            instance.getInstanceId();
        }
        return instances;
    }

    @Override
    public List<GroupInfoDTO> queryGroup() {
        return null;
    }

    @Override
    public List<ProjectInfoDTO> queryProject(String groupCode) {
        return null;
    }
}
