package com.persagy.dmp.service.impl;

import org.springframework.stereotype.Service;

import com.persagy.dmp.dao.ZktJarRoleDao;
import com.persagy.dmp.entity.ZktJarRole;
import com.persagy.dmp.service.ZktJarRoleService;

import lombok.RequiredArgsConstructor;

/**
 * (ZktRole)表服务实现类
 *
 * @author well jay
 * @since 2021-07-05 15:38:18
 */
@RequiredArgsConstructor
@Service
public class ZktJarRoleServiceImpl implements ZktJarRoleService {

    private final ZktJarRoleDao zktRoleDao;

    @Override
    public ZktJarRole getRole(String roleId) {
        return zktRoleDao.lambdaQuery().eq(ZktJarRole::getId, roleId).one();
    }

}
