package com.persagy.dmp.ws;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/5/25 14:57
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WSMessage<T> {

    /**
     * 消息类型
     */
    @NotNull
    private WSMessageType type;

    /**
     * 数据内容
     */
    @NotNull
    private T data;

}
