package com.persagy.zkt.constant;


/**
 * @description: 错误码
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/5/8 9:45
 * @version: V1.0
 */
public class ResultCodeConstant {

    /**
     * 请求参数无效
     */
    public static final int RCC_PARAMETER_INVALID = -101;

    /**
     * 参数为空
     */
    public static final int RCC_PARAMETER_IS_NULL = -102;

    /**
     * 请求异常
     */
    public static final int RCC_REQUEST_EXCEPTION = -103;

    /**
     * 接口已经废弃
     */
    public static final int RCC_API_ALREADY_DEPRECATED = -104;

    /**
     * 参数不允许重复
     */
    public static final int RCC_PARAM_NOT_ALLOW_REPEAT = -105;

}
