//package com.persagy.dmp.config;
//
//import org.springframework.boot.web.servlet.FilterRegistrationBean;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import javax.servlet.*;
//import javax.servlet.http.HttpServletResponse;
//import java.io.IOException;
//
///**
// * @Description 使用配置方式开发Filter,否则其中的自动注入无效
// * @ClassName HttpFilterConfig.java
// * @author LuoGuangyi
// * @version 1.0.0
// * @createTime  2021/04/22 17:09
// * @Since
// */
//@Configuration
//public class HttpFilterConfig {
//
//    /**
//     * @Description 注册自定义跨域过滤器
//     * @ClassName HttpFilterConfig.java
//     * @author LuoGuangyi
//     * @version 1.0.0
//     * @createTime  2021/04/22 17:09
//     * @Since
//     */
//    @Bean
//    public FilterRegistrationBean registerFilter() {
//        FilterRegistrationBean bean = new FilterRegistrationBean();
//        bean.addUrlPatterns("/*");
//        bean.setFilter(new CrosFilter());
//        return bean;
//    }
//
//    /**
//     * @Description 跨域过滤器
//     * @ClassName HttpFilterConfig.java
//     * @author LuoGuangyi
//     * @version 1.0.0
//     * @createTime  2021/04/22 17:10
//     * @Since
//     */
//    class CrosFilter implements Filter {
//        @Override
//        public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
//            HttpServletResponse res = (HttpServletResponse) response;
//            //*号表示对所有请求都允许跨域访问
//            res.addHeader("Access-Control-Allow-Origin", "*");
//            res.addHeader("Access-Control-Allow-Methods", "*");
//            chain.doFilter(request, response);
//        }
//    }
//}