package com.persagy.dmp.constant;

/**
 * @author xingmaojun
 * @version V1.0
 * @ClassName CommonConstant
 * @Description: 常量
 * @date 2019/9/5 10:07
 **/
public class CommonConstant {

    //时间格式-显示
    public final static String date_format_show = "yyyy-MM-dd HH:mm:ss";
    //时间格式-存储
    public final static String date_format_save = "yyyyMMddHHmmss";
    // 日期格式-
    public final static String date_format_day_ = "yyyy-MM-dd";

    //模板目录
    public final static String template_dir = "template";
    //导出文件目录
    public final static String template_data_dir = "template_data";

    //模板中表格锁定的密码
    public static final String SHEET_LOCK_PASSWORD = "locked123";

    //标识-项目
    public final static String tag_project = "Pj";

    //标识-系统
    public final static String SYSTEM_ID = "systemId";
    //标识-系统名称
    public final static String SYSTEM_NAME = "系统";

    /*
     * 系统类
     */
    public static final String SYSTEM = "system";
    /*
     * 设备类
     */
    public static final String EQUIPMENT = "equipment";

    /*
     * 查询专业信息的常量
     */
    public static final String MAJOR = "major";

    /*
     * 专业编码
     */
    public static final String MAJOR_CODE = "majorCode";

    /*
     * 父编码
     */
    public static final String PARENT_CODE = "parentCode";

    /*
     * 父编码
     */
    public static final String GENERAL_DICTIONARY_PARENT_CODE = "/";

    /*
     * 系统编码
     */
    public static final String SYSTEM_CODE = "systemCode";

    /**
     * 排序
     */
    public static class Order {
        //升序
        public static final String ASC = "asc";
        //降序
        public static final String DESC = "desc";
    }


}
