package com.persagy.dmp.constant;

/**
 * @description: 日志常量
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/12/04 20:28
 * @version:V1.0
 **/
public class LogConstant {
    //标识-业务日志数据字典类型
    public final static String FUNCTION_LOG = "functionLog";
    //模式管理
    public final static String LOG_MODEL_MANAGEMENT = "modelManagement";
    //模式管理
    public final static String LOG_USER_MANAGEMENT = "userManagement";
    //登入登出
    public final static String LOG_LOGIN_LOGOUT = "loginLogout";
    //远程控制
    public final static String LOG_REMOTE_CONTROL = "remoteControl";
    //交接班
    public final static String HANDOVER_SHIFT = "handoverShift";
    //报警
    public final static String ALARM_DEAL_WITH = "alarmDealWith";
    //系统日历
    public final static String LOG_CALENDAR = "calendar";
    //报表管理
    public final static String LOG_REPORT_MANAGEMENT="reportFormsManagement";
    //运行日志
    public final static String LOG_RUNNING_LOG="runningLog";


    public static class SourceType {
        /**
         * 用户操作
         */
        public final static int user = 1;
        /**
         * 系统运行
         */
        public final static int auto = 2;

    }

}