package com.persagy.dmp.dao;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.dmp.entity.FireAlarm;
import com.persagy.dmp.mapper.FireAlarmMapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.annotations.Select;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @description: 消防报警dao
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/4/19 16:57
 * @version: V1.0
 **/
@Slf4j
@Repository
public class FireAlarmDao extends ServiceImpl<FireAlarmMapper, FireAlarm> {

    @Autowired
    private FireAlarmMapper fireAlarmMapper;

    public List<String> queryEquipList(String groupCode, String projectId) {
        return fireAlarmMapper.queryEquipList(groupCode, projectId);
    }
}
