package com.persagy.dmp.dao;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.dmp.entity.GroupProjectRel;
import com.persagy.dmp.mapper.GroupProjectRelMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

/**
 * @description: 集团-项目关联表
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/14 17:37
 * @version: V1.0
 **/
@Slf4j
@Repository
public class GroupProjectRelDao extends ServiceImpl<GroupProjectRelMapper, GroupProjectRel> {
}
