package com.persagy.dmp.dao;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.dmp.entity.ObjectMeterFunction;
import com.persagy.dmp.mapper.ObjectMeterFunctionMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

/**
 * @description: 对象表号-功能号dao
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/15 18:00
 * @version: V1.0
 **/
@Slf4j
@Repository
public class ObjectMeterFunctionDao extends ServiceImpl<ObjectMeterFunctionMapper, ObjectMeterFunction> {
}
