package com.persagy.dmp.dto;

import lombok.Data;

import java.util.List;

/**
 * @description: 可实例化的类
 * @author: shiliqiang
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/11 14:55
 * @version: V1.0
 */

@Data
public class ClassInfo {
    private String id;
    private String code;
    /*
     *对象类型：equipment、building、floor、system
     */
    private String objType;
    private String name;
    private String aliasCode;
    private String aliasName;
    private String type;
    private String groupCode;
    private String projectId;
    private String majorCode;
    private String systemCode;
    private String parentCode;


    private String ibmsSceneCode;
    private String ibmsClassCode;



    private List<ClassInfo> children;
}
