package com.persagy.dmp.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author feng
 * @version 1.0
 * @description 实时数据
 * @since 2020/5/29 10:45
 */
@Data
public class CurrentDataDTO implements Serializable {

    private static final long serialVersionUID = -3852968434771523519L;

    /**
     * 对象id
     */
    private String objectId;

    /**
     * 信息点编码
     */
    private String infoCode;

    /**
     * 信息点值
     */
    private String infoValue;

    /**
     * 时间
     */
    private String time;

    /**
     * 数据值
     */
    private BigDecimal data;

    /**
     * 表号
     */
    private String meter;

    /**
     * 功能号
     */
    private String function;

    /**
     * 错误信息
     */
    private String error;
}
