package com.persagy.dmp.dto;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 人员部门岗位
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/12/10 16:12
 * @version:V1.0
 **/
@Data
@NoArgsConstructor
public class DeptJobId {
    /**
     * 部门实例id
     */
    private String deptId;
    /**
     * 部门实例名称
     */
    private String deptName;
    /**
     * 岗位分类编码
     */
    private String jobClassifyCode;
    /**
     * 岗位分类名称
     */
    private String jobClassifyName;
}
