package com.persagy.dmp.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 设备位置
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/16 16:53
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
public class EquipLocationDTO extends LocationDTO{

    private static final long serialVersionUID = 1L;

    //设备id
    private String equipId;

    //项目id
    private String projectId;

    //建筑id
    private String buildId;

    //建筑名称
    private String buildName;

    //建筑编码
    private String buildCode;

    //楼层id
    private String floorId;

    //楼层名称
    private String floorName;

    //楼层编码
    private String floorCode;

    //空间id
    private String spaceId;

    //空间名称
    private String spaceName;

    //空间编码
    private String spaceCode;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
