package com.persagy.dmp.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 图实例类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/30 20:34
 * @version: V1.0
 **/
@Data
public class GraphInstanceDTO implements Serializable {
    //图实例id
    private String id;
    //项目id
    private String projectId;
    //图类型
    private String graphType;
    //序号
    private String sequenceId;
    //是否有效
    private Boolean valid;
    //创建时间
    private String createTime;
}
