package com.persagy.dmp.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author feng
 * @version 1.0
 * @description 历史数据
 * @company Persagy Technology Co.,Ltd
 * @since 2020/6/3 16:15
 */
@Data
public class HistoryDataDTO implements Serializable {

    /**
     * 对象id
     */
    private String objectId;

    /**
     * 信息点编码
     */
    private String infoCode;

    /**
     * 表号
     */
    private String meter;

    /**
     * 功能号
     */
    private String function;

    /**
     * 状态
     */
    private String status;

    /**
     * 数据
     */
    private List<DataTimeDTO> data;
}
