package com.persagy.dmp.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 表号-功能号
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/31 17:55
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MeterFuncIdDTO implements Serializable {

    private static final long serialVersionUID = -8329161585999024037L;

    //项目id
    private String projectId;

    //对象id
    private String objectId;

    //信息点编码
    private String infoCode;

    //仪表号
    private String meterId;

    //功能号
    private Integer funcId;
}
