package com.persagy.dmp.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 对象间关系
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/29 14:32
 * @version: V1.0
 **/
@Data
public class ObjRelationDTO implements Serializable {

    private static final long serialVersionUID = 7381205907508926082L;

    //关系id
    private String id;
    //项目id
    private String projectId;
    //图实例id
    private String graphId;
    //图类型编码
    private String graphCode;
    //边类型编码
    private String relCode;
    //from对象id
    private String objFrom;
    //to对象id
    private String objTo;
    //状态
    private Integer status;
    //创建时间
    private Long createTime;
    //更新时间
    private Long updateTime;
}
