package com.persagy.dmp.dto;

import java.io.Serializable;

import com.alibaba.fastjson.annotation.JSONField;
import com.persagy.dmp.utils.ItvJsonUtil;

import lombok.Data;

/**
 * @description: 对象基本信息
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/16 17:40
 * @version: V1.0
 */
@Data
public class ObjectInfoDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	//对象id
    private String id;

    //名称
    private String name;

    //本地编码
    private String localId;

    //本地名称
    private String localName;

    //对象类型
    private String classCode;

    //BIMID
    private String bimId;

    private String ibmsxianshibianma;
    
    private String ibmsxianshimingcheng;
    
    //WD本地编码
    @JSONField(name="wd_huiyunbendibianma")
    private String wdHuiyunbendibianma;

    //WD本地名称
    @JSONField(name="wd_huiyunbendimingcheng")
    private String wdHuiyunbendimingcheng;

    @Override
    public String toString() {
        return ItvJsonUtil.writeValue(this);
    }
}
