package com.persagy.dmp.dto.alarm;

import com.alibaba.fastjson.JSONArray;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报警查询返回的vo
 * @author 易涛
 * @version 1.0
 * @date 2021/6/23 17:28
 */
@Data
public class ResultQueryVo {

    @ApiModelProperty("返回状态")
    private String result;

    @ApiModelProperty("返回数据")
    private JSONArray data;

    @ApiModelProperty("返回数据条数")
    private Integer count;
}
