package com.persagy.dmp.dto.collect;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 采集入参
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:30
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointReportParam {

    /**
     * 建筑id
     */
    private String building;

    /**
     * 仪表号
     */
    private String meter;

    /**
     * 功能号
     */
    @JSONField(name = "funcid")
    private Integer funcId;
}
