package com.persagy.dmp.entity;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author xingmaojun
 * @version V1.0
 * @ClassName Page
 * @Description:
 * @date 2020/6/4 17:30
 **/
@Data
@NoArgsConstructor
public class PageAndOrder {

    public static final String COL_PAGE = "page";
    public static final String COL_SIZE = "size";
    private Integer page;
    private Integer size;
    private List<Sort> orders;


    public PageAndOrder(Integer page, Integer size) {
        this.page = page;
        this.size = size;
    }

    public PageAndOrder(Integer page, Integer size, List<Sort> orders) {
        this.page = page;
        this.size = size;
        this.orders = orders;
    }
}
