package com.persagy.dmp.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * (ZktRole)实体类
 *
 * @author well jay
 * @since 2021-07-05 15:38:18
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("zkt_role")
public class ZktJarRole extends Model<ZktJarRole> implements Serializable {
    private static final long serialVersionUID = 637801852190625910L;

    /**
     * 主键
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 角色名称
     */
    private String roleName;
    /**
     * 排序号
     */
    private Integer sequence;

    @TableField(value = "group_code")
    private String groupCode;

    @TableField(value = "project_id")
    private String projectId;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

}
