package com.persagy.dmp.enumeration;

/**
 * @description: 数据字典类型
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/29 10:32
 * @version: V1.0
 **/
public enum EnumDictType {

    COMMON("common", "平台级"),
    GROUP("group", "集团级"),
    PROJECT("project", "项目级");

    private String value;
    private String name;

    EnumDictType(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
