package com.persagy.dmp.enumeration;

/**
 * @author feng
 * @version 1.0
 * @description 数据平台图类型
 * @company Persagy Technology Co.,Ltd
 * @since 2020/6/3 10:42
 */
public enum EnumGraphCode {

    ArchSubset("ArchSubset", "建筑从属关系"),
    MechSubset("MechSubset", "机电从属关系"),
    MechInArch("MechInArch", "机电类所在区域关系"),
    MechForArch("MechForArch", "机电类服务区域关系"),
    EquipGroup("EquipGroup", "设备从属逻辑编组"),
    MechPower("MechPower", "供电关系"),
    MechCtrl("MechCtrl", "控制关系");

    private String code;

    private String name;

    EnumGraphCode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
