package com.persagy.dmp.enumeration;

/**
 * @description: 是否有效枚举
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/5/8 15:47
 * @version: V1.0
 **/
public enum EnumValid {

    TRUE(1, "有效"),
    FALSE(0, "无效");

    private Integer value;
    private String desc;

    EnumValid(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
