package com.persagy.dmp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.entity.FireAlarm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @description: 消防报警mapper
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/4/19 16:56
 * @version: V1.0
 **/
@Mapper
public interface FireAlarmMapper extends BaseMapper<FireAlarm> {

    @Select("SELECT DISTINCT(equip_type) FROM fire_alarm WHERE group_code = #{groupCode} AND project_id = #{projectId}")
    List<String> queryEquipList(String groupCode, String projectId);

}
