package com.persagy.dmp.operatorlog;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Component;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

/**
 * 系统日志操作类
 *
 * @author xuhuiyang
 * @Date 2022-04-13
 */
@Component
public class OperatorLogUtil {


    /**
     *
     * @param groupCode groupCode
     * @param projectId projectId
     * @param userId userId
     * @param logSource logSource
     * @param systemType systemType
     * @param module module
     * @param details details
     * @return
     */
    public static OperatorLogDto fillLogDto(String groupCode, String projectId, String userId, LogSource logSource, SystemType systemType,Module module, String details) {
    	HttpServletRequest request = null;
		try {
			request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
		} catch (Exception e) {}
        OperatorLogDto log = new OperatorLogDto(request, groupCode, projectId, userId, logSource.name(), systemType.name(), module.name(), details);
        return log;

    }
    
    /**
    *
    * @param groupCode groupCode
    * @param projectId projectId
    * @param userId userId
    * @param logSource logSource
    * @param systemType systemType
    * @param module module
    * @param details details
    * @return
    */
   public static OperatorLogDto fillLogDto(HttpServletRequest request, String groupCode, String projectId, String userId, LogSource logSource, SystemType systemType,Module module, String details) {
       OperatorLogDto log = new OperatorLogDto(request, groupCode, projectId, userId, logSource.name(), systemType.name(), module.name(), details);
       return log;
   }

}


