package com.persagy.dmp.operatorlog;

/**
 * @author xuhuiyang
 * @Date 2022-04-14
 */
public enum SystemType {


    /**
     * 日志类型
     */
    sys("系统整体"),
    user("用户管理"),
    modelmanagement("模式管理"),
    hadnover("交接班"),
    exportFile("导出文件"),
    alarmprocess("报警处理"),
    sceneswitching("场景切换"),
    alarmdefinition("报警配置"),
    modelbinding("模式绑定"),
    connectionstatus("通讯状态"),
    control("远程控制"),
    todo("待办事项"),
    modelchange("模式切换");



    private final String typeName;

    private SystemType(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }
}
