package com.persagy.dmp.response;

import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 逻辑编组列表响应实体
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/20 18:13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogicalGroupingListResponse {

    /**
     * 对象总数量
     */
    private Integer objNum;

    /**
     * 逻辑编组信息
     */
    private List<LogicalGroupingDTO> groupings;

}
