package com.persagy.dmp.service;


import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.dto.GeneralDictionaryDTO;

import java.io.Serializable;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;

/**
 * 通用数据字典表服务接口
 *
 * @author luoguangyi
 * @description 由 Mybatisplus Code Generator 创建
 * @since 2021-01-26 11:42:11
 */
public interface GeneralDictionaryService {


    List<GeneralDictionaryDTO> saveOrUpdate(GeneralDictionaryDTO record) throws Exception;

    List<GeneralDictionaryDTO> saveOrUpdate(GeneralDictionaryDTO record, boolean automaticGeneratedCode) throws Exception;

    List<JSONObject> saveOrUpdate(JSONObject record, boolean automaticGeneratedCode, boolean uniqueByDictId) throws Exception;

    List<GeneralDictionaryDTO> listGeneralDictionary(GeneralDictionaryDTO record) throws Exception;

    List<JSONObject> listDictionary(GeneralDictionaryDTO record) throws Exception;

    List<JSONObject> selectBatchIds(Collection<? extends Serializable> idList) throws Exception;

    JSONObject selectById(String dictId) throws Exception;

    List<JSONObject> listDictionary(List<GeneralDictionaryDTO> gdList) throws Exception;

    HashMap<String, String> queryGDCodeNameMap(GeneralDictionaryDTO record) throws Exception;

    HashMap<String, String> queryDictIdNameMap(GeneralDictionaryDTO record) throws Exception;

    void remove(GeneralDictionaryDTO record) throws Exception;

    void removeById(String dictId) throws Exception;
}
