package com.persagy.dmp.utils;

import com.persagy.dmp.dto.GeneralDictionaryDTO;
import com.persagy.dmp.dto.OperationLogDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;
import com.persagy.dmp.entity.GeneralDictionary;
import com.persagy.dmp.entity.LogicalGrouping;
import com.persagy.dmp.entity.LogicalObject;
import com.persagy.dmp.entity.OperationLog;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @description:
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/10 16:43
 * @version: V1.0
 **/
@Mapper
public interface CovertUtil {

    CovertUtil INSTANCE = Mappers.getMapper(CovertUtil.class);

    List<OperationLogDTO> convertOperationLogDTOs(List<OperationLog> source);

    List<OperationLog> convertOperationLogs(List<OperationLogDTO> source);

    OperationLogDTO convertOperationLoggDTO(OperationLog source);

    OperationLog convertOperationLog(OperationLogDTO source);

    GeneralDictionary convertGeneralDictionary(GeneralDictionaryDTO source);

    GeneralDictionaryDTO convertGeneralDictionaryDTO(GeneralDictionary source);

    List<GeneralDictionaryDTO> convertGeneralDictionarys(List<GeneralDictionary> source);

    LogicalGrouping convertLogicalGrouping(LogicalGroupingDTO source);

    LogicalGroupingDTO convertLogicalGroupingDTO(LogicalGrouping source);

    List<LogicalGroupingDTO> convertLogicalGroupingDTOs(List<LogicalGrouping> source);

    List<LogicalGrouping> convertLogicalGroupings(List<LogicalGroupingDTO> source);

    List<LogicalObjectDTO> convertLogicalObjectDTOs(List<LogicalObject> source);
}
