package com.persagy.dmp.ws;

import com.persagy.dmp.common.IntegratedResponseResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * ibms-alarm
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/5/25 16:22
 */
@RequestMapping("/ws-message")
public interface WSMessageApi {

    @PostMapping("/push")
    IntegratedResponseResult<Void> push(@RequestParam("projectId") String projectId, @RequestBody WSMessage<?> message);

}
