package com.persagy.dmp.ws;


import lombok.Getter;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/5/25 14:53
 */
@Getter
public enum WSMessageType {


    /**
     * 告警(默认)
     */
    ALARM,

    /**
     * 代办事项
     */
    TODO_LIST;

    /**
     * 构建消息
     *
     * @param data 消息数据
     * @param <T>  消息数据类型
     * @return {@link WSMessage}
     */
    public <T> WSMessage<T> createMessage(T data) {
        return new WSMessage<>(this, data);
    }

}

