package com.persagy.zkt.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 列表排序类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/13 3:27 下午
 * @version: V1.0
 */
@NoArgsConstructor
@Data
@ApiModel(value = "排序类")
public class Sort {

    @ApiModelProperty(value = "排序列", position = 0)
    private String column;

    @ApiModelProperty(value = "升序/降序", position = 1)
    private boolean asc;

    public Sort(String column, boolean asc) {
        this.column = column;
        this.asc = asc;
    }
}
