package com.persagy.zkt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.UUID;

/**
 * @description:
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/16 4:07 下午
 * @version: V1.0
 **/
@Data
public class UUIDBaseEntity<T> extends BaseEntity {
    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    private String id = UUID.randomUUID().toString().replace("-", "");
}
